AWS IAM

Integrate your application with the AWS IAM API

🚀 Quickstart

Connect to AWS IAM with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> AWS IAM.

Authorize AWS IAM

Go to Connections -> Add Test Connection -> Authorize, then enter your AWS Access Key ID, Secret Access Key, and Region. Later, you'll let your users do the same directly from your app.

Call the AWS IAM API

Let's make your first request to the AWS IAM API (list IAM users). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/?Action=ListUsers&Version=2010-05-08" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own credentials, follow the setup guide linked below.

📚 AWS IAM Integration Guides

Nango-maintained guides for common use cases.

Official docs: AWS IAM API Reference

🧩 Pre-built syncs & actions for AWS IAM

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Users

Function nameDescriptionTypeSource code
usersFetches a list of users from AWS IAMSync🔗 Github

Others

Function nameDescriptionTypeSource code
create-userCreates a user in AWS IAM.Action🔗 Github
delete-userDelete an existing user in AWS IAM. When you delete a user, you must delete the items attached to the user manually, or the deletion fails.Action🔗 Github

On this page